using Microsoft.Win32.SafeHandles;

namespace InfiniTec.Net
{
	internal class DnsQueryResultSafeHandle: SafeHandleZeroOrMinusOneIsInvalid
	{
		public DnsQueryResultSafeHandle() : base(true) {}
		protected override bool ReleaseHandle()
		{
			SafeNativeMethods.DnsFree(handle, DNS_FREE_TYPE.DnsFreeRecordList);
			return true;
		}

	
	}
}