namespace InfiniTec.Net
{
	internal class HostEntry : DnsEntry
	{
		private string _Host;

		public HostEntry(DNS_PTR_DATA ptr)
		{
			Host = ptr.pNameHost;
		}

		protected HostEntry(string host)
		{
			_Host = host;
		}

		public string Host { get { return _Host; } private set { _Host = value; } }
	}
}