namespace InfiniTec.Net
{
	internal class MxEntry : DnsEntry
	{
		private ushort _Preference;
		private string _NameExchange;

		public MxEntry(DNS_MX_DATA data)
		{
			NameExchange = data.pNameExchange;
			Preference = data.wPreference;
		}

		public string NameExchange { get { return _NameExchange; } set { _NameExchange = value; } }

		public ushort Preference { get { return _Preference; } private set { _Preference = value; } }
	}
}