using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace InfiniTec.Threading
{
    public class ProgressStatusChangedEventArgs: ProgressChangedEventArgs
    {
        private object _Status;

        public ProgressStatusChangedEventArgs(object status, int progressPercentage, object userState) : base(progressPercentage, userState)
        {
            _Status = status;
        }


        public object Status { get { return _Status; } }
    }
}
