namespace InfiniTec.Threading
{
	internal class ResourceReservationEntry
	{
		private readonly AsyncOperation _Operation;
		private ResourceReservationEntry _ParentReservation;
		private bool _ConstraintUsedByChildOperation;

		public bool ConstraintUsedByChildOperation { get { return _ConstraintUsedByChildOperation; } set { _ConstraintUsedByChildOperation = value; } }

		public ResourceReservationEntry ParentReservation { get { return _ParentReservation; } set { _ParentReservation = value; } }

		public AsyncOperation Operation { get { return _Operation; } }

		public ResourceReservationEntry(AsyncOperation operation, ResourceReservationEntry parentReservation)
		{
			_Operation = operation;
			_ParentReservation = parentReservation;
		}
	}
}