using System;

namespace InfiniTec.Threading
{
    public class RethrowOperation: OperationAction
    {
        private readonly Exception _Exception;

        public RethrowOperation(Exception exception)
        {
            if (exception == null) { throw new ArgumentNullException("exception"); }

            _Exception = exception;
        }


        public Exception Exception { get { return _Exception; } }
    }
}
