namespace InfiniTec.Threading
{
	public class UnrestrictedConstraint : IResourceConstraint
	{
		public static IResourceConstraint Default = new UnrestrictedConstraint();

		#region IResourceConstraint Members

		public bool Equals(IResourceConstraint other)
		{
			return other is UnrestrictedConstraint;
		}

		public int AllowedParalellOperations { get { return int.MaxValue; } }

		#endregion
	}
}