using System;
using System.Collections.ObjectModel;

namespace InfiniTec.Data
{
    public interface IPropertyDefinition: IEquatable<IPropertyDefinition>
    {
        string Name { get;}
        bool IsMultivalued { get;}
        Type Type { get; }
        ReadOnlyCollection<IPropertyDefinition> DependentProperties { get;}
    }
}