﻿using Microsoft.Win32.SafeHandles;

namespace InfiniTec.IO
{
	class MemoryMappedFileSafeHandle: SafeHandleZeroOrMinusOneIsInvalid
	{
		public MemoryMappedFileSafeHandle() : base(true)
		{
		}

		protected override bool ReleaseHandle()
		{
			return SafeNativeMethods.CloseHandle(handle);
		}
	}
}
