namespace InfiniTec.Net
{
	internal class ServerEntry : HostEntry
	{
		private int _Weight;
		private int _Priority;
		private int _Port;

		public ServerEntry(DNS_SRV_DATA srv): base(srv.pNameTarget)
		{
			Port = srv.wPort;
			Priority = srv.wPriority;
			Weight = srv.wWeight;
		}

		public int Port { get { return _Port; } private set { _Port = value; } }

		public int Priority { get { return _Priority; } set { _Priority = value; } }


		public int Weight { get { return _Weight; } private set { _Weight = value; } }
	}
}