﻿using System;
using System.Collections.Generic;
using System.Text;

namespace InfiniTec.Security.Certificates
{
    public enum CryptographicProvider
    {
        RsaFull = 1,
        RsaSignatureOnly = 2,
        Dss = 3,
        Fortezza = 4,
        MsExchange = 5,
        Ssl = 6,
        RsaSecureChannel = 12,
        DssDiffieHellman = 13,
        EcdsaSignatureOnly = 14,
        EcnraSignatureOnly= 15,
        EcdsaFull = 16,
        EcnraFull= 17,
        DiffieHellmanSecureChannel= 18,
        SpyrusLynks= 20,
        RandomCryptographicProvider= 21,
        IntelSec= 22,
        /// <summary>
        /// Requires Windows XP or later
        /// </summary>
        ReplaceOwf= 23,
        /// <summary>
        /// Requires Windows XP or later
        /// </summary>
        RsaAes = 24
    }
}
