﻿using System;

namespace InfiniTec.Security.Certificates
{
    public static class DefaultProviders
    {
        public const string BaseProvider = "Microsoft Base Cryptographic Provider v1.0";
        public const string StrongProvider = "Microsoft Strong Cryptographic Provider";
        public const string EnhancedProvider = "Microsoft Enhanced Cryptographic Provider v1.0";
        public const string RsaProvider = "Microsoft RSA Signature Cryptographic Provider";
        public const string RsaSecureChannelProvider = "Microsoft RSA SChannel Cryptographic Provider";
        public const string BaseDssProvider = "Microsoft Base DSS Cryptographic Provider";
        public const string DssDiffieHellmanProvider = "Microsoft Base DSS and Diffie-Hellman Cryptographic Provider";
    }
}
