﻿namespace InfiniTec.Exchange.Eventing
{
    public static class WellknownProperties
    {
        public static class Eventing
        {
            public const string IsSilentSaveOperation = "http://infinitec.de/eventing/isSilentSaveOperation";
        }

        public static class Item
        {
            public const string PermanentUrl = "http://schemas.microsoft.com/exchange/permanenturl";
            public const string ContentClass = "DAV:contentclass";
            public const string Subject = "urn:schemas:httpmail:subject";
        }

        public static class EventRegistration
        {
            public const string Criteria = "http://schemas.microsoft.com/exchange/events/Criteria";
            public const string Enabled = "http://schemas.microsoft.com/exchange/events/Enabled";
            public const string EventMethod = "http://schemas.microsoft.com/exchange/events/EventMethod";
            public const string MatchScope = "http://schemas.microsoft.com/exchange/events/MatchScope";
            public const string Priority = "http://schemas.microsoft.com/exchange/events/Priority";
            public const string SinkClass = "http://schemas.microsoft.com/exchange/events/SinkClass";
        }
    }
}
