using System;
using System.Runtime.InteropServices;
using ADODB;
using InfiniTec.Exchange.Eventing;

namespace TestSink
{
	[ComVisible(true)]
	[Guid("FD0D03A3-9FD2-432b-B331-E7C4D412827F")]
	[ProgId("TestSink.TestSink")]
	public class TestSink: SynchronousEventSink
	{
		protected override void OnItemCreating(EventInfo info, CreationMode creationMode)
		{
			// Do something of interest here - you have read/write  access to the item
			Record item = info.Item;

			// you can save an object here (it must be serializable) and reuse it during the OnItemCreated method
			info.UserState = "test";
			

			base.OnItemCreating(info, creationMode);
		}

		protected override void OnItemCreated(EventInfo info, CreationMode creationMode)
		{
			base.OnItemCreated(info, creationMode);

			// Do something of interest here - the item is readonly now.
			
			// will be "test"
			string s = (string) info.UserState;
		}


		protected override void OnItemDeleted(EventInfo info, DeletionMode deletionMode)
		{
			base.OnItemDeleted(info, deletionMode);
		}

		protected override void OnItemUpdated(EventInfo info)
		{
			base.OnItemUpdated(info);
		}

		protected override void OnErrorOccured(EventInfo eventInfo, Exception ex)
		{
			base.OnErrorOccured(eventInfo, ex);
		}

		protected override void OnInitialize()
		{
			base.OnInitialize();
		}

		protected override bool OnRegisteringEvent(EventInfo info)
		{
			return base.OnRegisteringEvent(info);
		}

		protected override void OnItemCreationAborted(EventInfo info, CreationMode creationMode)
		{
			base.OnItemCreationAborted(info, creationMode);
		}

		protected override void OnItemDeleting(EventInfo info, DeletionMode deletionMode)
		{
			base.OnItemDeleting(info, deletionMode);
		}

		protected override void OnItemDeletionAborted(EventInfo info, DeletionMode deletionMode)
		{
			base.OnItemDeletionAborted(info, deletionMode);
		}

		protected override void OnItemSilentlySaving(EventInfo info)
		{
			base.OnItemSilentlySaving(info);
		}

		protected override void OnItemUpdateAborted(EventInfo info)
		{
			base.OnItemUpdateAborted(info);
		}

		protected override void OnItemUpdating(EventInfo info)
		{
			base.OnItemUpdating(info);
		}
	}
}
